with GNATCOM.Dispinterface;

package MSHTML.IDOMMouseEvent_Object is

   type IDOMMouseEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_screenX
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_screenY
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientX
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientY
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ctrlKey
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_shiftKey
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_altKey
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_metaKey
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_button
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_relatedTarget
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   procedure initMouseEvent
     (This             : IDOMMouseEvent_Type;
      eventType        : GNATCOM.Types.VARIANT;
      canBubble        : GNATCOM.Types.VARIANT;
      cancelable       : GNATCOM.Types.VARIANT;
      viewArg          : GNATCOM.Types.VARIANT;
      detailArg        : GNATCOM.Types.VARIANT;
      screenXArg       : GNATCOM.Types.VARIANT;
      screenYArg       : GNATCOM.Types.VARIANT;
      clientXArg       : GNATCOM.Types.VARIANT;
      clientYArg       : GNATCOM.Types.VARIANT;
      ctrlKeyArg       : GNATCOM.Types.VARIANT;
      altKeyArg        : GNATCOM.Types.VARIANT;
      shiftKeyArg      : GNATCOM.Types.VARIANT;
      metaKeyArg       : GNATCOM.Types.VARIANT;
      buttonArg        : GNATCOM.Types.VARIANT;
      relatedTargetArg : GNATCOM.Types.VARIANT;
      Free             : Boolean := True);

   function getModifierState
     (This   : IDOMMouseEvent_Type;
      keyArg : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_buttons
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fromElement
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_toElement
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_x
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_y
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetX
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetY
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pageX
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pageY
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_layerX
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_layerY
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_which
     (This : IDOMMouseEvent_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IDOMMouseEvent_Object;

